Bug 838179 - (CVE-2012-3812) CVE-2012-3812 asterisk: Remote crash vulnerability in voice mail application
CVE-2012-3812 asterisk: Remote crash vulnerability in voice mail application
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120705,repor...
: Security
Depends On: 838180 838181 838182
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 18:50 EDT by Kurt Seifried
Modified: 2012-12-11 04:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 04:04:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-07-06 18:50:16 EDT
AST-2012-011

If a single voicemail account is manipulated by two parties  
simultaneously, a condition can occur where memory is freed  
twice causing a crash.

http://downloads.asterisk.org/pub/security/AST-2012-011.txt
http://downloads.asterisk.org/pub/security/AST-2012-011.pdf
http://downloads.asterisk.org/pub/security/AST-2012-011-1.8.diff
http://downloads.asterisk.org/pub/security/AST-2012-011-10.diff
Comment 1 Kurt Seifried 2012-07-06 18:52:38 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-17 [bug 838180]
Affects: fedora-16 [bug 838181]
Affects: epel-6 [bug 838182]
Comment 2 Fedora Update System 2012-07-19 21:57:51 EDT
asterisk-10.5.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Kurt Seifried 2012-12-11 04:04:19 EST
asterisk-1.8.18.0-1.fc16 has been pushed to the Fedora 16 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Kurt Seifried 2012-12-11 04:04:54 EST
asterisk-1.8.18.0-1.el6 has been pushed to the Epel 6 repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.